#
# Conditional build:
%bcond_without	static_libs	# static library
#
Summary:	Open Sound Control library
Summary(pl.UTF-8):	Biblioteka Open Sound Control
Name:		liblo
Version:	0.31
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/liblo/%{name}-%{version}.tar.gz
# Source0-md5:	14378c1e74c58e777fbb4fcf33ac5315
URL:		http://liblo.sourceforge.net/
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
liblo is an implementation of the Open Sound Control protocol for
POSIX systems.

%description -l pl.UTF-8
liblo jest implementacją protokołu Open Sound Control dla systemów
POSIX.

%package devel
Summary:	Header files for liblo
Summary(pl.UTF-8):	Pliki nagłówkowe dla liblo
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files and development documentation for liblo.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja dla liblo.

%package static
Summary:	liblo static library
Summary(pl.UTF-8):	Biblioteka statyczna liblo
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
liblo static library.

%description static -l pl.UTF-8
Biblioteka statyczna liblo.

%package apidocs
Summary:	API documentation for liblo library
Summary(pl.UTF-8):	Dokumentacja API biblioteki liblo
Group:		Documentation
%if "%{_rpmversion}" >= "4.6"
BuildArch:	noarch
%endif

%description apidocs
API documentation for liblo library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki liblo.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-ipv6 \
	%{?with_static_libs:--enable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/liblo.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/oscdump
%attr(755,root,root) %{_bindir}/oscsend
%attr(755,root,root) %{_bindir}/oscsendfile
%attr(755,root,root) %{_libdir}/liblo.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblo.so.7

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblo.so
%{_includedir}/lo
%{_pkgconfigdir}/liblo.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/liblo.a
%endif

%files apidocs
%defattr(644,root,root,755)
%doc doc/html/*
%changelog
* Fri May 15 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/liblo.git;a=log;h=master

* Fri May 15 2020 Jakub Bogusz <qboosh@pld-linux.org> 25bc41b
- updated to 0.31
- separated -apidocs

* Wed Apr 10 2019 Jakub Bogusz <qboosh@pld-linux.org> 7b5ed71
- updated to 0.30

* Mon Sep 26 2016 Jakub Bogusz <qboosh@pld-linux.org> a2da69c
- updated to 0.28

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> a3bb598
- x32 rebuild
- release 2 (by relup.sh)

* Thu Jun 24 2010 Jakub Bogusz <qboosh@pld-linux.org> 05eff2f
- updated to 0.26 (new soname, LGPL now)

* Wed Apr 04 2007 Jakub Bogusz <qboosh@pld-linux.org> 8e879dd
- updated to 0.24

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> d4243d9
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> cf31a20
- converted to UTF-8

* Sun Jan 29 2006 Jakub Bogusz <qboosh@pld-linux.org> 1c57c9f
- unified License notation

* Sun Jan 29 2006 Paweł Sikora <pluto@pld-linux.org> a602016
- updated to 0.23, log fixed.

* Tue Dec 06 2005 Jakub Bogusz <qboosh@pld-linux.org> 2ad7bdc
- updated to 0.22

* Thu Mar 24 2005 freetz <freetz@pld-linux.org> 0c47ad7
- 0.18

* Thu Nov 25 2004 freetz <freetz@pld-linux.org> e2b5fb9
- initial

